zyGrib

zyGrib's forum
Nous sommes actuellement le 19 Nov 2017 14:53

Le fuseau horaire est UTC [Heure d’été]




Publier un nouveau sujet Répondre au sujet  [ 3 message(s) ] 
Auteur Message
 Sujet du message : 8.0.1 compilation error on Raspberry
Message Publié : 28 Fév 2017 19:06 
Hors-ligne

Inscription : 28 Fév 2017 18:14
Message(s) : 3
I am getting this on a fresh Raspbian (latest)

Code :
cd src/g2clib; make
make[1]: Entering directory '/home/pi/Downloads/zyGrib-8.0.1/src/g2clib'
gcc -c -O3 -g -m64 -I/nwprod/lib/include/ -DUSE_JPEG2000 -DUSE_PNG -D__64BIT__ gridtemplates.c
gcc: error: unrecognized command line option ‘-m64’
makefile:89: recipe for target 'libg2c.a(gridtemplates.o)' failed
make[1]: *** [libg2c.a(gridtemplates.o)] Error 1
make[1]: Leaving directory '/home/pi/Downloads/zyGrib-8.0.1/src/g2clib'
Makefile:43: recipe for target 'zyGrib' failed
make: *** [zyGrib] Error 2


libpng16-dev doesn't exist on raspbian repository so I have tried with libpng-dev

any ideas?


Haut
 Profil  
 
 Sujet du message : Re: 8.0.1 compilation error on Raspberry
Message Publié : 06 Mars 2017 17:41 
Hors-ligne

Inscription : 28 Fév 2017 18:14
Message(s) : 3
Same error under Ubuntu MATEon Raspberry 3

Code :
cd src/g2clib; make
make[1]: Entering directory '/home/openplotter/Downloads/zyGrib-8.0.1/src/g2clib'
gcc -c -O3 -g -m64 -I/nwprod/lib/include/ -DUSE_JPEG2000 -DUSE_PNG -D__64BIT__ gridtemplates.c
gcc: error: unrecognized command line option ‘-m64’
makefile:89: recipe for target 'libg2c.a(gridtemplates.o)' failed
make[1]: *** [libg2c.a(gridtemplates.o)] Error 1
make[1]: Leaving directory '/home/openplotter/Downloads/zyGrib-8.0.1/src/g2clib'
Makefile:43: recipe for target 'zyGrib' failed
make: *** [zyGrib] Error 2


this time I was able to install all required dependencies from repository.

I am lost here...


Haut
 Profil  
 
 Sujet du message : Re: 8.0.1 compilation error on Raspberry
Message Publié : 06 Mars 2017 18:51 
Hors-ligne

Inscription : 28 Fév 2017 18:14
Message(s) : 3
Trying to install from suggested ubuntu repositoryes did not work. There is no repository for arm. Does this means that zygrib 8 is not arm compatible? :(


Haut
 Profil  
 
Afficher les messages publiés depuis :  Trier par  
Publier un nouveau sujet Répondre au sujet  [ 3 message(s) ] 

Le fuseau horaire est UTC [Heure d’été]


Qui est en ligne ?

Utilisateur(s) parcourant ce forum : Aucun utilisateur inscrit et 1 invité


Vous ne pouvez pas publier de nouveaux sujets dans ce forum
Vous ne pouvez pas répondre aux sujets dans ce forum
Vous ne pouvez pas éditer vos messages dans ce forum
Vous ne pouvez pas supprimer vos messages dans ce forum
Vous ne pouvez pas insérer de pièces jointes dans ce forum

Aller vers :  
Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
Traduit en français par Maël Soucaze.